import React from "react";
import { Link } from "gatsby";

interface Props {
  children?: React.ReactNode;
  title?: string;
  to?: string;
  className?: string;
}

const Button = (props: Props) => {
  const { children, title = "", to = "#", className = "" } = props;

  return (
    <Link to={to} className={"btn font-extrabold " + className}>
      {title}
      {children}
    </Link>
  );
};

export default Button;
